EULB-CREATE-LB-POLICY(1)

NAME
eulb-create-lb-policy - Add a new policy to a load balancer

SYNOPSIS
eulb-create-lb-policy -n POLICY -t POLTYPE

[-a "name=NAME, value=VALUE"] [-A NAME=VALUE,...]
    [--attributes-from-file FILE] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] ELB

DESCRIPTION
Add a new policy to a load balancer

  positional arguments:

ELB name of the load balancer to modify (required)

  optional arguments:

-n POLICY, --policy-name POLICY
    name of the new policy (required)

-t POLTYPE, --policy-type POLTYPE
    type of the new policy. For a list of policy types, use eulb-describe-lb-policy-types. (required)

-a "name=NAME, value=VALUE", --attribute "name=NAME, value=VALUE"
    name and value for each attribute associated with the new policy. Use this option multiple times to supply multiple attributes.

-A NAME=VALUE,..., --attributes NAME=VALUE,...
    a comma-delimited list of attribute names and values to associate with the new policy, each pair of which is separated by "=". This is a more concise alternative to the -a/--attribute option.

--attributes-from-file FILE
    a file containing attribute names and values to associate with the new policy, one per line, each pair of which is separated by "=". Lines that are blank or begin with "#" are ignored.

-U URL, --url URL
    load balancing service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit